package dev;

import dev.dao.MenuItemDao;
import dev.dao.OrderDao;
import dev.dao.OrderDetailDao;
import dev.dao.UserDao;
import dev.service.AuthService;
import dev.service.MenuService;
import dev.service.OrderService;
import dev.ui.ConsoleMenu;

public class Main {

    public static void main(String[] args) {

        UserDao userDao = new UserDao();
        MenuItemDao menuItemDao = new MenuItemDao();
        OrderDao orderDao = new OrderDao();
        OrderDetailDao orderDetailDao = new OrderDetailDao();

        AuthService authService = new AuthService(userDao);
        MenuService menuService = new MenuService(menuItemDao);
        OrderService orderService = new OrderService(orderDao, orderDetailDao, menuItemDao);


        ConsoleMenu menu = new ConsoleMenu(authService, menuService, orderService);
        menu.start();

    }

}